﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            for(int i = 0; i < 10; i++)
            {
                TableRow tableRow = new TableRow();

                for(int j = 0; j < 3; j++)
                {
                    TableCell tableCell = new TableCell();

                    tableCell.BorderWidth = 1;

                    LiteralControl literalControl = new LiteralControl();

                    literalControl.Text = $"({i}, {j})";

                    tableCell.Controls.Add(literalControl);

                    tableRow.Cells.Add(tableCell);
                }

                this.table.Rows.Add(tableRow);
            }
        }

        #endregion
    }
}